Open CASCADE Technology: FEmTool_SparseMatrix Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
FEmTool_SparseMatrix Class Referenceabstract

Sparse Matrix definition. More...

`#include <FEmTool_SparseMatrix.hxx>`

Inheritance diagram for FEmTool_SparseMatrix:
[legend]

## Public Member Functions
virtual void | Init (const Standard_Real Value)=0
virtual Standard_Real & | ChangeValue (const Standard_Integer I, const Standard_Integer J)=0
virtual Standard_Boolean | Decompose ()=0
| To make a Factorization of <me> More...
virtual void | Solve (const math_Vector &B, math_Vector &X) const =0
| Direct Solve of AX = B. More...
virtual Standard_Boolean | Prepare ()=0
| Make Preparation to iterative solve. More...
virtual void | Solve (const math_Vector &B, const math_Vector &Init, math_Vector &X, math_Vector &Residual, const Standard_Real Tolerance=1.0e-8, const Standard_Integer NbIterations=50) const =0
| Iterative solve of AX = B. More...
virtual void | Multiplied (const math_Vector &X, math_Vector &MX) const =0
| returns the product of a SparseMatrix by a vector. An exception is raised if the dimensions are different More...
virtual Standard_Integer | RowNumber () const =0
| returns the row range of a matrix. More...
virtual Standard_Integer | ColNumber () const =0
| returns the column range of the matrix. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

Sparse Matrix definition.

## Member Function Documentation

virtual Standard_Real& FEmTool_SparseMatrix::ChangeValue | ( | const Standard_Integer | I,
|  | const Standard_Integer | J
| ) |  |
| pure virtual

Implemented in FEmTool_ProfileMatrix.

virtual Standard_Integer FEmTool_SparseMatrix::ColNumber | ( |  | ) | const
| pure virtual

returns the column range of the matrix.

Implemented in FEmTool_ProfileMatrix.

virtual Standard_Boolean FEmTool_SparseMatrix::Decompose | ( |  | ) |
| pure virtual

To make a Factorization of <me>

Implemented in FEmTool_ProfileMatrix.

virtual void FEmTool_SparseMatrix::Init | ( | const Standard_Real | Value | ) |
| pure virtual

Implemented in FEmTool_ProfileMatrix.

virtual void FEmTool_SparseMatrix::Multiplied | ( | const math_Vector & | X,
|  | math_Vector & | MX
| ) |  | const
| pure virtual

returns the product of a SparseMatrix by a vector. An exception is raised if the dimensions are different

Implemented in FEmTool_ProfileMatrix.

virtual Standard_Boolean FEmTool_SparseMatrix::Prepare | ( |  | ) |
| pure virtual

Make Preparation to iterative solve.

Implemented in FEmTool_ProfileMatrix.

virtual Standard_Integer FEmTool_SparseMatrix::RowNumber | ( |  | ) | const
| pure virtual

returns the row range of a matrix.

Implemented in FEmTool_ProfileMatrix.

virtual void FEmTool_SparseMatrix::Solve | ( | const math_Vector & | B,
|  | math_Vector & | X
| ) |  | const
| pure virtual

Direct Solve of AX = B.

Implemented in FEmTool_ProfileMatrix.

virtual void FEmTool_SparseMatrix::Solve | ( | const math_Vector & | B,
|  | const math_Vector & | Init,
|  | math_Vector & | X,
|  | math_Vector & | Residual,
|  | const Standard_Real | Tolerance = `1.0e-8`,
|  | const Standard_Integer | NbIterations = `50`
| ) |  | const
| pure virtual

Iterative solve of AX = B.

Implemented in FEmTool_ProfileMatrix.

The documentation for this class was generated from the following file:

- FEmTool_SparseMatrix.hxx